--- Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Makefile.am	2008-01-29 19:09:42.000000000 +0000
@@ -0,0 +1,3 @@
+SUBDIRS = Demo Source
+EXTRA_DIST = README.txt
+include_HEADERS = Include/cs.h
--- configure.ac 	1970-01-01 01:00:00.000000000 +0100
+++ configure.ac	2008-01-29 19:14:14.000000000 +0000
@@ -0,0 +1,11 @@
+#                                               -*- Autoconf -*-
+AC_PREREQ(2.59)
+AC_INIT(cxsparse, 2.2.2, davis@cise.ufl.edu)
+AM_INIT_AUTOMAKE([foreign])
+AC_PROG_INSTALL
+AC_PROG_LIBTOOL
+AC_CHECK_LIB(m, sqrt)
+AC_CHECK_HEADERS(UFconfig.h)     
+AC_CONFIG_FILES([Makefile Demo/Makefile Source/Makefile])
+AC_OUTPUT
+
--- Source/Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Source/Makefile.am	2008-01-29 19:09:42.000000000 +0000
@@ -0,0 +1,24 @@
+AM_CPPFLAGS = -I$(top_srcdir)/Include
+CS_SOURCE = cs_add.c cs_amd.c cs_chol.c cs_cholsol.c cs_counts.c cs_cumsum.c \
+        cs_droptol.c cs_dropzeros.c cs_dupl.c cs_entry.c \
+        cs_etree.c cs_fkeep.c cs_gaxpy.c cs_happly.c cs_house.c cs_ipvec.c \
+        cs_lsolve.c cs_ltsolve.c cs_lu.c cs_lusol.c cs_util.c cs_multiply.c \
+        cs_permute.c cs_pinv.c cs_post.c cs_pvec.c cs_qr.c cs_qrsol.c \
+        cs_scatter.c cs_schol.c cs_sqr.c cs_symperm.c cs_tdfs.c cs_malloc.c \
+        cs_transpose.c cs_compress.c cs_usolve.c cs_utsolve.c cs_scc.c \
+        cs_maxtrans.c cs_dmperm.c cs_updown.c cs_print.c cs_norm.c cs_load.c \
+        cs_dfs.c cs_reach.c cs_spsolve.c cs_leaf.c cs_ereach.c cs_randperm.c
+
+lib_LTLIBRARIES = libcxsparse.la
+noinst_LTLIBRARIES = libcxsparse_di.la libcxsparse_dl.la libcxsparse_ci.la libcxsparse_cl.la
+
+libcxsparse_di_la_SOURCES = $(CS_SOURCE)
+libcxsparse_dl_la_SOURCES = $(CS_SOURCE)
+libcxsparse_dl_la_CPPFLAGS = $(AM_CPPFLAGS) -DCS_LONG
+libcxsparse_ci_la_SOURCES = $(CS_SOURCE)
+libcxsparse_ci_la_CPPFLAGS = $(AM_CPPFLAGS) -DCS_COMPLEX
+libcxsparse_cl_la_SOURCES = $(CS_SOURCE)
+libcxsparse_cl_la_CPPFLAGS = $(AM_CPPFLAGS) -DCS_LONG -DCS_COMPLEX
+
+libcxsparse_la_SOURCES = cs_convert.c
+libcxsparse_la_LIBADD = libcxsparse_di.la libcxsparse_dl.la libcxsparse_ci.la libcxsparse_cl.la
--- Demo/Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Demo/Makefile.am	2008-01-29 19:21:32.000000000 +0000
@@ -0,0 +1,102 @@
+check_PROGRAMS = \
+  cs_ci_demo1 \
+  cs_ci_demo2 \
+  cs_ci_demo3 \
+  cs_cl_demo1 \
+  cs_cl_demo2 \
+  cs_cl_demo3 \
+  cs_demo1 \
+  cs_demo2 \
+  cs_demo3 \
+  cs_di_demo1 \
+  cs_di_demo2 \
+  cs_di_demo3 \
+  cs_dl_demo1 \
+  cs_dl_demo2 \
+  cs_dl_demo3 \
+  cs_idemo \
+  cs_ldemo
+
+LDADD = $(top_builddir)/Source/libcxsparse.la -lm 
+AM_CPPFLAGS = -I$(top_srcdir)/Include
+
+cs_ci_demo1_SOURCES = cs_ci_demo1.c
+cs_ci_demo2_SOURCES = cs_ci_demo2.c cs_ci_demo.c
+cs_ci_demo3_SOURCES = cs_ci_demo3.c cs_ci_demo.c
+cs_cl_demo1_SOURCES = cs_cl_demo1.c
+cs_cl_demo2_SOURCES = cs_cl_demo2.c cs_cl_demo.c
+cs_cl_demo3_SOURCES = cs_cl_demo3.c cs_cl_demo.c
+cs_demo1_SOURCES = cs_demo1.c
+cs_demo2_SOURCES = cs_demo2.c cs_demo.c
+cs_demo3_SOURCES = cs_demo3.c cs_demo.c
+cs_di_demo1_SOURCES = cs_di_demo1.c
+cs_di_demo2_SOURCES = cs_di_demo2.c cs_di_demo.c
+cs_di_demo3_SOURCES = cs_di_demo3.c cs_di_demo.c
+cs_dl_demo1_SOURCES = cs_dl_demo1.c
+cs_dl_demo2_SOURCES = cs_dl_demo2.c cs_dl_demo.c
+cs_dl_demo3_SOURCES = cs_dl_demo3.c cs_dl_demo.c
+cs_idemo_SOURCES = cs_idemo.c
+cs_ldemo_SOURCES = cs_ldemo.c
+
+check-local: $(check_PROGRAMS)
+	- ./cs_demo1 < ../Matrix/t1
+	- ./cs_demo2 < ../Matrix/t1
+	- ./cs_demo2 < ../Matrix/fs_183_1
+	- ./cs_demo2 < ../Matrix/west0067
+	- ./cs_demo2 < ../Matrix/lp_afiro
+	- ./cs_demo2 < ../Matrix/ash219
+	- ./cs_demo2 < ../Matrix/mbeacxc
+	- ./cs_demo2 < ../Matrix/bcsstk01
+	- ./cs_demo3 < ../Matrix/bcsstk01
+	- ./cs_demo2 < ../Matrix/bcsstk16
+	- ./cs_demo3 < ../Matrix/bcsstk16
+	- ./cs_di_demo1 < ../Matrix/t1
+	- ./cs_di_demo2 < ../Matrix/t1
+	- ./cs_di_demo2 < ../Matrix/fs_183_1
+	- ./cs_di_demo2 < ../Matrix/west0067
+	- ./cs_di_demo2 < ../Matrix/lp_afiro
+	- ./cs_di_demo2 < ../Matrix/ash219
+	- ./cs_di_demo2 < ../Matrix/mbeacxc
+	- ./cs_di_demo2 < ../Matrix/bcsstk01
+	- ./cs_di_demo3 < ../Matrix/bcsstk01
+	- ./cs_di_demo2 < ../Matrix/bcsstk16
+	- ./cs_di_demo3 < ../Matrix/bcsstk16
+	- ./cs_dl_demo1 < ../Matrix/t1
+	- ./cs_dl_demo2 < ../Matrix/t1
+	- ./cs_dl_demo2 < ../Matrix/fs_183_1
+	- ./cs_dl_demo2 < ../Matrix/west0067
+	- ./cs_dl_demo2 < ../Matrix/lp_afiro
+	- ./cs_dl_demo2 < ../Matrix/ash219
+	- ./cs_dl_demo2 < ../Matrix/mbeacxc
+	- ./cs_dl_demo2 < ../Matrix/bcsstk01
+	- ./cs_dl_demo3 < ../Matrix/bcsstk01
+	- ./cs_dl_demo2 < ../Matrix/bcsstk16
+	- ./cs_dl_demo3 < ../Matrix/bcsstk16
+	- ./cs_ci_demo1 < ../Matrix/t2
+	- ./cs_ci_demo2 < ../Matrix/t2
+	- ./cs_ci_demo2 < ../Matrix/t3
+	- ./cs_ci_demo2 < ../Matrix/t4
+	- ./cs_ci_demo2 < ../Matrix/c_west0067
+	- ./cs_ci_demo2 < ../Matrix/c_mbeacxc
+	- ./cs_ci_demo2 < ../Matrix/young1c
+	- ./cs_ci_demo2 < ../Matrix/qc324
+	- ./cs_ci_demo2 < ../Matrix/neumann
+	- ./cs_ci_demo2 < ../Matrix/c4
+	- ./cs_ci_demo3 < ../Matrix/c4
+	- ./cs_ci_demo2 < ../Matrix/mhd1280b
+	- ./cs_ci_demo3 < ../Matrix/mhd1280b
+	- ./cs_cl_demo1 < ../Matrix/t2
+	- ./cs_cl_demo2 < ../Matrix/t2
+	- ./cs_cl_demo2 < ../Matrix/t3
+	- ./cs_cl_demo2 < ../Matrix/t4
+	- ./cs_cl_demo2 < ../Matrix/c_west0067
+	- ./cs_cl_demo2 < ../Matrix/c_mbeacxc
+	- ./cs_cl_demo2 < ../Matrix/young1c
+	- ./cs_cl_demo2 < ../Matrix/qc324
+	- ./cs_cl_demo2 < ../Matrix/neumann
+	- ./cs_cl_demo2 < ../Matrix/c4
+	- ./cs_cl_demo3 < ../Matrix/c4
+	- ./cs_cl_demo2 < ../Matrix/mhd1280b
+	- ./cs_cl_demo3 < ../Matrix/mhd1280b
+	- ./cs_idemo < ../Matrix/t2
+	- ./cs_ldemo < ../Matrix/t2
